# 49. Query: ottieni dati su griglia da "FieldSatelliteImage"

Query per ottenere dati grigliati dal dataset raster relativo a "FieldSatelliteImage" come `GEOJSON`  con punti o `GEOTIFF`. L'attributo properties dipende dal provider e di solito contiene i dati originali del provider (come RED, GREEN, BLUE, NIR e anche Terra Libera) per punto/pixel. Maggiori dettagli sul file esportato possono essere trovati [QUI](/geopard-tutorials/it/tour-del-prodotto-app-web/esporta-scarica/esporta-immagini-satellitari-come-geotiff-o-geojson.md).

#### 1. Richiedere un file da esportare

{% hint style="danger" %}
Si consiglia di recuperare solo un singolo dataset con `sourceDataUrl` per richiesta.&#x20;
{% endhint %}

`NoBuffer`, `PlusOnePixel`, `PlusTwoPixels`, `MinusOnePixel`, e `MinusTwoPixels` sono disponibili come un `buffer`.

`GEOJSON` e `GEOTIFF` sono disponibili come un formato.&#x20;

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetGriddedDataFromSatelliteImage {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]){
    uuid
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      satelliteImages(satelliteImageUuids: ["<placeholder_of_satelliteimage_uuid>"]) {
        satelliteImage {
          uuid
          acquisitionDate
          provider
        }
        sourceDataUrl(format: GEOJSON buffer: PlusTwoPixels)
      }
    }
  }
}
```

{% endcode %}

#### 2. Scaricare il file generato

Dopo la corretta preparazione del file, è possibile scaricarlo utilizzando `curl` o un approccio simile.

{% hint style="danger" %}
`sourceDataUrl` il link è accessibile solo per **60 sec.**
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl '<sourceDataUrl>' --compressed >> '<local_filepath>'
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/it/documentazione-api/panoramica-delle-richieste-api-geopard/49.-query-ottieni-dati-su-griglia-da-fieldsatelliteimage.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
